import httpRequest from '@/utils/axios'
/**
 * 获取广告列表
 */
export function getAdList(params) {
  return httpRequest.get('/api/cms/admin/v1/advertisements', { params })
}

/**
 * 获取文章列表
 * @param {string} type_id 类型id
 * @param {number} id_title id或标题
 * @param {string} project_id 项目id
 */
export function getArticleList(params) {
  return httpRequest.get('/api/cms/admin/v1/articles', { params })
}

/**
 * 获取图文列表
 * @param {string} type_id 类型id
 * @param {number} id_title id或标题
 * @param {string} project_id 项目id
 */
export function getImgTextList(params) {
  return httpRequest.get('/api/cms/admin/v1/img-texts', { params })
}
